Subject: bug#41852: 27.0.50; text-scale commands don't scale header of tabulated-list-mode

From: Stefan Kangas <[email-masked]>
Date: Sat, 31 Oct 2020 09:15:23 -0700

Eli Zaretskii <[email-masked]> writes:

> Try using fixed-pitch and variable-pitch instead of mode-line and
> bold.  What happens then?  And what does that mean for this
> discussion?

I tried this with my patch, in emacs -Q:

(progn
 (setq-local text-scale-remap-header-line-face t)
 (setq-local header-line-format (concat
                                 (propertize "foo" 'face 'fixed-pitch) " "
                                 (propertize "bar" 'face 'variable-pitch))))

They also scale.

> I just did: fixed-pitch and variable-pitch.  Another example would be
> any defface that specifies :height as an absolute number of 1/10
> point.

I find that text inserted into a buffer using the fixed-pitch and
variable-pitch both scale.  But if I specify :height to be an absolute
number, the text does not scale.